Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v2
Class FindReimbursementResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.dics.protocol.v2.FindReimbursementResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:17+02:00",
               comments="JAXB RI v2.2.6")
    public class FindReimbursementResponse

extends StatusResponseType
implements Serializable

Java class for FindReimbursementResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindReimbursementResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="ReimbursementContexts" type="{urn:be:fgov:ehealth:dics:protocol:v2}ConsultReimbursementContextType" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="SearchDate" use="required" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindReimbursementResponse()`

Method Summary
`List<ConsultReimbursementContextType>` | `getReimbursementContexts()` Gets the value of the reimbursementContexts property.
`org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
`void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindReimbursementResponse

    public FindReimbursementResponse()

Method Detail

### getReimbursementContexts

    public List<ConsultReimbursementContextType> getReimbursementContexts()

  Gets the value of the reimbursementContexts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reimbursementContexts property.

  For example, to add a new item, do as follows:

          getReimbursementContexts().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultReimbursementContextType`

### getSearchDate

    public org.joda.time.DateTime getSearchDate()

  Gets the value of the searchDate property.

  Returns:
    possible object is `String`

### setSearchDate

    public void setSearchDate(org.joda.time.DateTime value)

  Sets the value of the searchDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.